#!/v/guest/sw/bin/perl -w

###############################################################################
##                                                                           ##
##    Copyright (c) 2006 - 2009 by Steffen Beyer.                            ##
##    All rights reserved.                                                   ##
##                                                                           ##
##    This program is free software; you can redistribute it                 ##
##    and/or modify it under the same terms as Perl itself.                  ##
##                                                                           ##
###############################################################################

use strict;

use lib
qw(
    /u/sb/sw/pkg/perl/lib/perl/5.12.0/amd64-freebsd
    /u/sb/sw/pkg/perl/lib/perl/5.12.0
    /u/sb/sw/pkg/perl/lib/perl/site_perl/5.12.0/amd64-freebsd
    /u/sb/sw/pkg/perl/lib/perl/site_perl/5.12.0
);

use Data::Dumper;
use Storable qw(lock_retrieve);

my($Title) = 'EPO Volleyball Club Event Calendar';
my($File) = 'data.bin';
my($Data) = {};

if (-e $File)
{
    eval { $Data = lock_retrieve($File); };
    if ($@) { $Data = {}; }
}

# $Data::Dumper::Sortkeys = sub { return [ sort { $a <=> $b } keys(%{$_[0]}) ]; };

print <<"VERBATIM";
Content-type: text/html; charset="iso-8859-1"

<HTML>
<HEAD>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
    <TITLE>$Title</TITLE>
</HEAD>
<BODY>
<CENTER>
    <P>
    <HR NOSHADE SIZE="2">
    <P>
    <H1>$Title</H1>
    <P>
    <HR NOSHADE SIZE="2">
    <P>
    <TABLE WIDTH="70%" BORDER="0"><TR><TD>
    <PRE>
VERBATIM
print Dumper($Data);
print <<"VERBATIM";
    </PRE>
    </TD></TR></TABLE>
    <P>
    <HR NOSHADE SIZE="2">
    <P>
</CENTER>
</BODY>
</HTML>
VERBATIM

__END__

